Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3824 - gdm doesn't set complete Xauthority
Summary: gdm doesn't set complete Xauthority
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-30 12:36 UTC by glenn
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-29 14:39:46 UTC


Attachments (Terms of Use)

Description glenn 1999-06-30 12:36:59 UTC
After login, the command

	xauth list

prints only

loki/unix:0  MIT-MAGIC-COOKIE-1
			203b164a0376210828697c55024a003d

i.e., authority is only being set for Unix domain sockets.
It should also create an entry for AF_INET domain sockets,
so applications running on a remote machine can display
locally.  In other words, there should also be an entry
that looks like

loki:0  MIT-MAGIC-COOKIE-1  203b164a0376210828697c55024a003d

The the Xauthority can be set on a remote machine in the
standard way:
loki:0  MIT-MAGIC-COOKIE-1  203b164a0376210828697c55024a003d
	xauth extract loki:0 - | rsh remote xauth merge -

and the display variable set

	export DISPLAY=loki:0

on the remote machine, and X applications can be started.

Both xdm and kdm work properly; gdm represents a step
backwords in this respect.

The easy fix is to use kdm or xdm instead of gdm; simply

	cd /etc/X11
	rm prefdm
	ln -s ../../usr/bin/kdm prefdm

Comment 1 glenn 1999-06-30 12:41:59 UTC
This bug is listed on the Gnome bug list as #1396, entitled
"gdm does not create TCP xauth cookie"

Comment 2 Jay Turner 1999-06-30 13:04:59 UTC
This issue has been forwarded to a developer for further action.

Comment 3 Elliot Lee 1999-09-01 00:49:59 UTC
Add mkp to Cc list.

Assign to mkj for now.

Comment 4 Elliot Lee 1999-10-29 14:39:59 UTC
Please try the gdm included in RHL 6.1.


Note You need to log in before you can comment on or make changes to this bug.